#ifndef KEYS_H
#define KEYS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <tdeapplication.h>

#include <tqdialog.h>
#include <tqlabel.h>
#include <tqstring.h>
#include <tdeaccel.h>

class PKeys : public TQDialog
{
    TQ_OBJECT
public:
    PKeys( TQWidget *parent=0, const char *name=0 );

private slots:
    void butRight();
    void butLeft();
    void butUp();
    void butDown();

    void getKey(int);
    void defaults();
    void focusIn(TQLabel *);
    void focusOut(TQLabel *);

    void ok();

protected:
    void  keyPressEvent( TQKeyEvent * );

private:
    void init();

    TQLabel *labels[4];
    TQLabel *lab;
};

#endif // KEYS_H
